1.3

1.3

get /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Description

show PrivateLink Service

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querysort
optional
Sort
Example : endpoint_id:asc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkServiceV1Dot3
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.3"

Example HTTP response

Response 200

{
    "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
    "privatelink_service_auth_type": "SCP_IAM",
    "privatelink_service_enabled": true,
    "privatelink_service_id": "ba30549f550141ef9af6546543s",
    "privatelink_service_name": "68216f8f56",
    "privatelink_service_state": "Active",
    "requested_endpoints": []
}